<script>
import { mapState, mapActions, mapMutations } from 'vuex';

export default {
  computed: {
    ...mapState(['guesser']),
  },

  methods: {
    ...mapActions(['getDeck', 'setNextGuess', 'drawCard']),
  },
};
</script>

<template>
<div id="main">
  <h1 class="my-8">The great guesser game!</h1>

  <button @click="getDeck" class="bg-red-600 hover:bg-red-700 text-white font-bold py-2 px-4 rounded">Get a new Deck</button>

  <div v-if="guesser.deckId">
    <button @click="setNextGuess('red')" id="btn" class="bg-red-600 hover:bg-red-700 text-white font-bold py-2 px-4 rounded my-4 mx-2">Guess Red</button>
    <button @click="setNextGuess('black')" id="btn" class="bg-gray-700 hover:bg-gray-800 text-white font-bold py-2 px-4 rounded mx-2">Guess Black</button>
    <br />
    <button v-if="guesser.nextGuess" @click="drawCard" id="btn" class="bg-red-600 hover:bg-red-700 text-white font-bold py-2 px-4 rounded ">Draw a card</button>

    <h1>Guesses: {{ guesser.guesses }}</h1>
    <h1>Points: {{ guesser.points }}</h1>
    <h2>Your next guess is: {{ guesser.nextGuess }}</h2>

    <div v-for="(card, index) in guesser.cards" :key="index">
      {{ card.value }} of {{ card.symbol }}
      <img :src="card.image" :alt="card.value" />
    </div>
  </div>
  <div v-else>Please draw a new deck!</div>
  </div>
</template>

